{
	"name": "table/external/odoo/bookkeeping/bookkeeping_account.json",
	"table_name": "account_account",
	"odoo_model": "account.account",
	"table_prefix": "bka",
	"record_type": [""],
	"local_table": "bookkeeping_account",
	"local_record_type": "",
	"field": [
		{
			"info": "Type\nAccount Type is used for information purpose, to generate country-specific legal reports, and set the rules to close a fiscal year and generate opening entries.",
			"field_name": "account_type",
			"local_field": "account_type",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Allowed Journals\nDefine in which journals this account can be used. If empty, can be used in all journals.",
			"field_name": "allowed_journal_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Asset Model\nAn asset wil be created for each asset model when this account is used on a vendor bill or a refund",
			"field_name": "asset_model_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Budget Item",
			"field_name": "budget_item_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Can Create Asset",
			"field_name": "can_create_asset",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Code",
			"field_name": "code",
			"local_field": "",
			"field_type": "varchar",
			"field_length": 64
		},
		{
			"info": "Code Mapping",
			"field_name": "code_mapping_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Code Store",
			"field_name": "code_store",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Currency",
			"field_name": "company_currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Company Fiscal Country Code",
			"field_name": "company_fiscal_country_code",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Companies",
			"field_name": "company_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Create Asset",
			"field_name": "create_asset",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Account Currency\nForces all journal items in this account to have a specific currency (i.e. bank journals). If no currency is set, entries can use any currency.",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Current Balance",
			"field_name": "current_balance",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Deprecated",
			"field_name": "deprecated",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Disallowed Expenses Category",
			"field_name": "disallowed_expenses_category_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Display Mapping Tab",
			"field_name": "display_mapping_tab",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "name",
			"field_type": "varchar"
		},
		{
			"info": "Exclude Provision Currency\nWhether or not we have to make provisions for the selected foreign currencies.",
			"field_name": "exclude_provision_currency_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Form View Ref",
			"field_name": "form_view_ref",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Group\nAccount prefixes can determine account groups.",
			"field_name": "group_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "account_id",
			"local_field2": ["record_id"],
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Bring Accounts Balance Forward\nUsed in reports to know if we should consider journal items from the beginning of time instead of from the fiscal year only. Account types that should be reset to zero at each new fiscal year (like expenses, revenue..) should not have this option set.",
			"field_name": "include_initial_balance",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Internal Group",
			"field_name": "internal_group",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Multiple Assets per Line\nMultiple asset items will be generated depending on the bill line quantity instead of 1 global asset.",
			"field_name": "multiple_assets_per_line",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Account Name",
			"field_name": "name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Non Trade\nIf set, this account will belong to Non Trade Receivable/Payable in reports and filters.\nIf not, this account will belong to Trade Receivable/Payable in reports and filters.",
			"field_name": "non_trade",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Internal Notes",
			"field_name": "note",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Opening Balance",
			"field_name": "opening_balance",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Opening Credit",
			"field_name": "opening_credit",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Opening Debit",
			"field_name": "opening_debit",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Display code",
			"field_name": "placeholder_code",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Allow Reconciliation\nCheck this box if this account allows invoices & payments matching of journal items.",
			"field_name": "reconcile",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Related Taxes Amount",
			"field_name": "related_taxes_amount",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Root",
			"field_name": "root_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tags\nOptional tags you may want to assign for custom reporting",
			"field_name": "tag_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Default Taxes",
			"field_name": "tax_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Used",
			"field_name": "used",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
